from tiramisu import *
from tiramisu.setting import ALLOWED_LEADER_PROPERTIES
from re import compile as re_compile
from rougail.tiramisu import func, dict_env, load_functions, ConvertDynOptionDescription
load_functions('../rougail-tests/funcs/test.py')
try:
    groups.namespace
except:
    groups.addgroup('namespace')
ALLOWED_LEADER_PROPERTIES.add("basic")
ALLOWED_LEADER_PROPERTIES.add("standard")
ALLOWED_LEADER_PROPERTIES.add("advanced")
option_3 = StrOption(name="variable", doc="a variable", properties=frozenset({"advanced"}), informations={'ymlfiles': ['../rougail-tests/structures/20_0multi_family_expert/rougail/00-base.yml'], 'type': 'string'})
optiondescription_2 = OptionDescription(name="subfamily", doc="a sub family", children=[option_3], properties=frozenset({"advanced"}), informations={'ymlfiles': ['../rougail-tests/structures/20_0multi_family_expert/rougail/00-base.yml']})
optiondescription_1 = OptionDescription(name="family", doc="a family", children=[optiondescription_2], properties=frozenset({"advanced"}), informations={'ymlfiles': ['../rougail-tests/structures/20_0multi_family_expert/rougail/00-base.yml']})
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_1])
